> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get the list of all admin users

GET https://api.brevo.com/v3/corporate/invited/users

This endpoint allows you to list all Admin users of your Admin account. You
can filter users by type (active or pending) and paginate results using
offset and limit.

Reference: https://developers.brevo.com/reference/get-corporate-invited-users-list

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `type` (string, optional) — User type (active | pending). This is required if offset is provided for limited result.
- `offset` (integer, optional) — Page number for the result set. This is optional, default value will be the 1st page.
- `limit` (integer, optional) — Number of users to be displayed on each page. This is optional, the default limit is 20, but max allowed limit is 100.

## Response

### 200

list of all admin users

- `users` (list of object, optional) — Get invited users list
  - `email` (string, required) — Email address of the user.
  - `feature_access` (object, required) — Feature accessiblity given to the user. (Required only if status is active)
    - `analytics` (list of string, optional) — Analytics dashboard accessibility
    - `api_keys` (list of string, optional) — Api keys accessiblity.
    - `apps_management` (list of string, optional) — Apps management accessiblity | Not available in ENTv2
    - `create_sub_organizations` (list of string, optional) — Authorization to create sub-organization in the admin account. If the user creating the sub-organization, belongs to a group, the user must choose a group at the sub-organization creation.
    - `manage_sub_organizations` (list of string, optional) — Authorization to manage and access sub-organizations in the admin account.
    - `my_plan` (list of string, optional) — My plan accessiblity.
    - `sub_organization_groups` (list of string, optional) — Group creation, modification or deletion accessibility
    - `user_management` (list of string, optional) — User management accessiblity.
  - `groups` (object, required) — Admin user groups list
    - `id` (string, optional) — group id
    - `name` (string, optional) — group name
  - `is_owner` (string, required) — Flag for indicating is user owner of the organization.
  - `status` (string, required) — Status of the invited user.

## Errors

### 400 Bad Request Error

bad request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "users": [
    {
      "email": "master-user2@company.com",
      "feature_access": {
        "analytics": [
          "download_data",
          "create_alerts",
          "my_looks",
          "explore_create"
        ],
        "api_keys": [
          "all"
        ],
        "apps_management": [
          "none"
        ],
        "create_sub_organizations": [
          "all"
        ],
        "manage_sub_organizations": [
          "all"
        ],
        "my_plan": [
          "all",
          "all"
        ],
        "sub_organization_groups": [
          "create",
          "edit_delete"
        ],
        "user_management": [
          "none"
        ]
      },
      "groups": {
        "0": {
          "id": "65b1f22c09d6ed67ef1cd123,",
          "name": "Test Group1"
        },
        "1": {
          "id": "43b1f16c09db4d67af1cd342,",
          "name": "Test Group2"
        }
      },
      "is_owner": "false",
      "status": "active"
    },
    {
      "email": "master-user3@company.com",
      "feature_access": {
        "analytics": [
          "create_alerts",
          "my_looks"
        ],
        "api_keys": [
          "none"
        ],
        "apps_management": [
          "all"
        ],
        "create_sub_organizations": [
          "all"
        ],
        "manage_sub_organizations": [
          "all"
        ],
        "my_plan": [
          "none",
          "none"
        ],
        "sub_organization_groups": [
          "edit_delete"
        ],
        "user_management": [
          "all"
        ]
      },
      "groups": {},
      "is_owner": "false",
      "status": "active"
    }
  ]
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.getCorporateInvitedUsersList({});
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.get_corporate_invited_users_list()

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\MasterAccount\Requests\GetCorporateInvitedUsersListRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->getCorporateInvitedUsersList(
    new GetCorporateInvitedUsersListRequest([]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/invited/users"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/invited/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/corporate/invited/users")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/invited/users");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/invited/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```